function handles = barerrorbar(cp,errors)
%
% plots error bars to existing bar plot specified in cp.
% 
% 10.05.2005 by Martin Rolfs

axes(cp);

errors = fliplr(errors);

bc = get(gca,'Children');

for g = 1:length(bc)
    bgc = get(bc(g),'Children');
    
    xpos = get(bgc,'XData');
    ypos = get(bgc,'YData');
    
    for b = 1:size(xpos,2)
        x = mean(xpos([2 3],b));
        y = mean(ypos([2 3],b));
        
        ci = errors(b,g);
        
        handles(b,g)=line([x x],[y-ci y+ci],'Color','k','linewidth',2);
    end
end

handles = fliplr(handles);